nixp.ru v3.0

21 января 2017,
суббота,
22:39:19 MSK

DevOps с компанией «Флант»
v0devil написал 8 декабря 2004 года в 22:53 (289 просмотров) Ведет себя как мужчина; открыл 27 тем в форуме, оставил 60 комментариев на сайте.

Ставлю XmmS на Fedora Core 3… получаю в ответ мессагу об отсутствее GLIB 1.2, а он у меня установлен… чё ему надо ? help, plz ;)

// Тему переместил(а) fly4life из форума «UNIX FAQ».

fly4life

Вероятно, glib-devel.

v0devil

да и devel стоит ( ток версии 2.4). mplayer тоже не собирается.. XmmS пишет:

* The glib-config script installed by GLIB could not be found

* If GLIB was installed in PREFIX, make sure PREFIX/bin is in

* your path, or set the GLIB_CONFIG environment variable to the

* full path to glib-config.

configure: error: * GLIB >= 1.2.2 not installed — please install first *

Но glib 1.2 у меня стоит … :(

fly4life
v0devil
да и devel стоит ( ток версии 2.4). mplayer тоже не собирается..

Что-то мне подсказывает, что это у тебя glibC-devel стоит (версии, как раз, 2.4), а нужен именно _glib_-devel !

v0devil
XmmS пишет:

* The glib-config script installed by GLIB could not be found

* If GLIB was installed in PREFIX, make sure PREFIX/bin is in

* your path, or set the GLIB_CONFIG environment variable to the

* full path to glib-config.

configure: error: * GLIB >= 1.2.2 not installed — please install first *

Но glib 1.2 у меня стоит … :(

Посмотри, что у тебя выдаёт команда 'which glib-config’. Должно показать путь, где находится glib-config. Затем глянь, задан ли этот путь в переменной PATH (echo $PATH). Если не задан, то задай, перелогинься и прогоняй заново установку.

v0devil

which glib-config:

/usr/bin/which: no glib-config in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/v0devil/bin)

Стоит glib2-devel-2.4.7-1 … glib-devel 1.2 пакета такого вроде нет (на дисках ни от второй, ни от третьей федоры)…

DimitriuS
v0devil
which glib-config:

/usr/bin/which: no glib-config in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/v0devil/bin)

Стоит glib2-devel-2.4.7-1 … glib-devel 1.2 пакета такого вроде нет (на дисках ни от второй, ни от третьей федоры)…

pkg-config какой?

DimitriuS
fly4life
Посмотри, что у тебя выдаёт команда 'which glib-config’. Должно показать путь, где находится glib-config. Затем глянь, задан ли этот путь в переменной PATH (echo $PATH). Если не задан, то задай, перелогинься и прогоняй заново установку.

whereis glib-config

locate glib-config

v0devil

1. pkg-config —version

0.15.0

2. Не находит он glib-config

DimitriuS
v0devil
1.   pkg-config —version

     0.15.0

2. Не находит он glib-config

Вот и проблема нашлась

Что то я помню glib-config входил в состав pkg-config ? поправьте если не прав.

попробуй собрать заново

fly4life
DimitriuS
Вот и проблема нашлась

Что то я помню glib-config входил в состав pkg-config ? поправьте если не прав.

Нет, не прав. glib-config входит в состав glib-devel.

А проблема давно уже нашлась, но что-то v0devil то ли не видит, то ли не хочет видеть, что ему нужен пакет glib-devel, а не glib2-devel или какой-нибудь ещё!

Genie
А проблема давно уже нашлась, но что-то v0devil то ли не видит, то ли не хочет видеть, что ему нужен пакет glib-devel,

fly4life, ты невнимателен :))

glib-devel 1.2 пакета такого вроде нет (на дисках ни от второй, ни от третьей

федоры)…

fly4life

Нет, это v0devil немножко невнимателен. Иначе что же это такое:

http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/glib-devel-1.2.10-15.i386.rpm

Или у автора какие-то свои диски с FC3? ;)

Genie

не, это не невнимательность ;)

хотя диагноз ставить не берусь :))

на самом деле, проблемы-то и нет, как таковой — достаточно поглядеть .spec от собранного ддистрибутивного xmms и не гадать, что недо именно делать, какие пакеты ставить — там это, по идее, должно быть прописано.

slice

А чтоб таких проблем не было, надо ставить проги из исходников :))

fly4life
altruist
А чтоб таких проблем не было, надо ставить проги из исходников :))

за-то потом начнутся проблемы с менеджментом <font size=«-2»>(ух какое слово, но что-то более человеческое русское вылетело из головы и никак возвращться туда не хочет ;))</font> этих прог, если дистрибутив rpm-based (коим является FC3) ;)

v0devil

1. Я всегда ставлю из исходников..

2. Нету у меня на дисках 2,3 федоры этого пакета… :-/ Хоть на второй и всё было O.K :)))

Ну нет и всё :)

v0devil

Ландно, поставил я этот злосчастный пакет — всё ok … Всем спасибо :)

ps: федора от linuxcenter`а

slice
fly4life
за-то потом начнутся проблемы с менеджментом ;)

Ну это конечно зависит от прямолинейности рук ;)

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.